"""Function to convert list of residues to list of CA coords."""
import numpy as np


def res2ca(res_list):
    """Convert list of residues to list of CA coords."""
    ca_list = np.zeros((len(res_list), 3))
    for idx, res in enumerate(res_list):
        ca_list[idx] = res["CA"].get_coord()
    return ca_list
